#x86_64
%define _requires_exceptions libevent-2.0.so.5()(64bit)\\|libpng15.so.15()(64bit)\\|libmozsqlite3.so()(64bit)\\|libstdc++.so.6()(64bit)
#x86_32
%define _requires_exceptions libevent-2.0.so.5\\|libmozsqlite3.so\\|libstdc++.so.6

Name:     tor-browser-bundle
Version:  6.0.2
Release:  %mkrel 1

Summary:  Anonymous browser
URL:      http://www.torproject.org.in/projects/torbrowser.html.en/
License:  GPLv3
Group:    Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	wget
BuildRequires:	imagemagick
Requires: pclinuxos-release
AutoReq: off

%description
The Tor software protects you by bouncing your communications around a distributed network 
of relays run by volunteers all around the world: It prevents somebody watching your Internet 
connection from learning what sites you visit, it prevents the sites you visit from learning 
your physical location, and it lets you access sites which are blocked.

%prep


%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT

%ifarch %{ix86}
cd %_builddir
wget -nc https://www.torproject.org/dist/torbrowser/%{version}/tor-browser-linux32-%{version}_en-US.tar.xz
unxz -c tor-browser-linux32-%{version}_en-US.tar.xz | tar xf - -C %_builddir
%else
cd %_builddir
wget -nc https://www.torproject.org/dist/torbrowser/%{version}/tor-browser-linux64-%{version}_en-US.tar.xz
unxz -c tor-browser-linux64-%{version}_en-US.tar.xz | tar xf - -C %_builddir
%endif

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r tor-browser_en-US/* $RPM_BUILD_ROOT/%{_datadir}/%{name}
chmod -R +xr $RPM_BUILD_ROOT/%{_datadir}/%{name}

# icon
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 644 tor-browser_en-US/Browser/browser/icons/mozicon128.png \
$RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png
convert -scale 48 %buildroot/%_datadir/pixmaps/%name.png \
%buildroot/%_datadir/pixmaps/%name.png


# start script
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}/%{_bindir}/%{name} << EOF
#!/bin/sh
if [ -e ~/.%{name} ]; then
	cd ~/.%{name}/Browser
	sh start-tor-browser $@
else 
	mkdir -p ~/.%{name}
	cp -r %{_datadir}/%{name}/* ~/.tor-browser-bundle
	cd ~/.%{name}/Browser
	sh start-tor-browser $@
fi

EOF

chmod +x %{buildroot}/%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}/%_datadir/applications/
cat > %{buildroot}/%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Tor Browser
Comment=Browse the web anonymously
Exec=tor-browser-bundle
Icon=%{name}
Terminal=0
Type=Application
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/tor*

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
	mkdir -p /home/$idx/.%{name}
	cp -r %{_datadir}/%{name}/* /home/$idx/.tor-browser-bundle
	chown -R $idx: /home/$idx/.tor-browser-bundle
done

%postun
rm -rf /home/*/.%{name}


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/pixmaps/*.png
%_datadir/applications/%{name}.desktop


%changelog
* Sun Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 6.0.2-1pclos2016
- 6.0.2

* Wed May 04 2016 ghostbunny <ghostbunny at gmx dot de> 5.5.5-1pclos2016
- 5.5.5

* Mon Mar 20 2016 ghostbunny <ghostbunny at gmx dot de> 5.5.4-1pclos2016
- 5.5.4

* Thu Mar 10 2016 ghostbunny <ghostbunny at gmx dot de> 5.5.3-1pclos2016
- 5.5.3

* Sat Feb 20 2016 ghostbunny <ghostbunny at gmx dot de> 5.5.2-1pclos2016
- 5.5.2

* Sat Feb 06 2016 ghostbunny <ghostbunny at gmx dot de> 5.5.1-1pclos2016
- 5.5.1

* Fri Jan 29 2016 ghostbunny <ghostbunny at gmx dot de> 5.5-1pclos2016
- 5.5

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 5.0.4-1pclos2015
- 5.0.4

* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 5.0.3-1pclos2015
- 5.0.3

* Fri Aug 28 2015 ghostbunny <ghostbunny at gmx dot de> 5.0.2-1pclos2015
- 5.0.2

* Thu Aug 20 2015 ghostbunny <ghostbunny at gmx dot de> 5.0.1-1pclos2015
- 5.0.1

* Wed Aug 12 2015 ghostbunny <ghostbunny at gmx dot de> 5.0-1pclos2015
- 5.0

* Sat Jul 04 2015 ghostbunny <ghostbunny at gmx dot de> 4.5.3-1pclos2015
- 4.5.3

* Wed Jun 17 2015 bb <bb> 4.5.2-1pclos2015
- update

* Sat May 16 2015 ghostbunny <ghostbunny at gmx dot de> 4.5.1-pclos2015
- 4.5.1

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 4.5-1pclos2015
- 4.5

